<?php
/**
 * The template to display blog archive
 *
 * @package WordPress
 * @subpackage MAXCUBE
 * @since MAXCUBE 1.0
 */

/*
Template Name: Blog archive
*/

/**
 * Make page with this template and put it into menu
 * to display posts as blog archive
 * You can setup output parameters (blog style, posts per page, parent category, etc.)
 * in the Theme Options section (under the page content)
 * You can build this page in the WordPress editor or any Page Builder to make custom page layout:
 * just insert %%CONTENT%% in the desired place of content
 */

if ( function_exists('maxcube_elm_is_preview') && maxcube_elm_is_preview()) {

	// Redirect to the page
	get_template_part( apply_filters('maxcube_filter_get_template_part', 'page') );

} else {
	
	// Store post with blog archive template
	if ( have_posts() ) {
		the_post();
		if (isset($GLOBALS['post']) && is_object($GLOBALS['post'])) maxcube_storage_set('blog_archive_template_post', $GLOBALS['post']);
	}

	// Prepare args for a new query
	$maxcube_args = array(
		'post_status' => current_user_can('read_private_pages') && current_user_can('read_private_posts') ? array('publish', 'private') : 'publish'
	);
	$maxcube_args = maxcube_query_add_posts_and_cats($maxcube_args, '', maxcube_get_theme_option('post_type'), maxcube_get_theme_option('parent_cat'));
	$maxcube_page_number = get_query_var('paged') ? get_query_var('paged') : (get_query_var('page') ? get_query_var('page') : 1);
	if ($maxcube_page_number > 1) {
		$maxcube_args['paged'] = $maxcube_page_number;
		$maxcube_args['ignore_sticky_posts'] = true;
	}
	$maxcube_ppp = maxcube_get_theme_option('posts_per_page');
	if ((int) $maxcube_ppp != 0)
		$maxcube_args['posts_per_page'] = (int) $maxcube_ppp;
	// Make a new main query
	$GLOBALS['wp_the_query']->query($maxcube_args);

	get_template_part( apply_filters('maxcube_filter_get_template_part', maxcube_blog_archive_get_template()) );
}
?>