<?php
/**
 * The default template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage MAXCUBE
 * @since MAXCUBE 1.0
 */

$maxcube_template_args = get_query_var('maxcube_template_args');
if (is_array($maxcube_template_args)) {
	$maxcube_columns = empty($maxcube_template_args['columns']) ? 2 : max(2, $maxcube_template_args['columns']);
	$maxcube_blog_style = array($maxcube_template_args['type'], $maxcube_columns);
	if (!empty($maxcube_template_args['slider'])) {
		?><div class="slider-slide swiper-slide"><?php
	} else if ($maxcube_columns > 1) {
		?><div class="column-1_<?php echo esc_attr($maxcube_columns); ?>"><?php
	}
}
$maxcube_expanded = !maxcube_sidebar_present() && maxcube_is_on(maxcube_get_theme_option('expand_content'));
$maxcube_post_format = get_post_format();
$maxcube_post_format = empty($maxcube_post_format) ? 'standard' : str_replace('post-format-', '', $maxcube_post_format);
$maxcube_animation = maxcube_get_theme_option('blog_animation');

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_excerpt post_format_'.esc_attr($maxcube_post_format) ); ?>
	<?php echo (!maxcube_is_off($maxcube_animation) && empty($maxcube_template_args['slider']) ? ' data-animation="'.esc_attr(maxcube_get_animation_classes($maxcube_animation)).'"' : ''); ?>
	><div><?php

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"><?php esc_html_e('sticky post','maxcube');?></span><?php
	}

    if (!in_array($maxcube_post_format, array('video', 'audio', 'quote'))) {
        ?>
        <div class="post-conters"><?php
        $dt = apply_filters('maxcube_filter_get_post_date', maxcube_get_date('', 'j M'));
        $date = explode(' ', $dt);
        if (count($date) > 1) {
            $date[0] = '<span class="post-date">' . $date[0] . '</span> <span class="post-all">';
            $date[count($date) - 1] = ' <span class="post-day">' . $date[count($date) - 1] . '</span></span>';
        }
        $dt = '';
        foreach ($date as $d) {
            $dt = $dt . ' ' . $d;
        }
        if (!empty($dt)) {
            ?>
            <div class="post_meta_item post_date"><?php echo wp_kses_post($dt); ?></div>
            <?php
        }
        ?></div><?php
    }


	// Featured image
	$maxcube_hover = !empty($maxcube_template_args['hover']) && !maxcube_is_inherit($maxcube_template_args['hover'])
						? $maxcube_template_args['hover'] 
						: maxcube_get_theme_option('image_hover');
	$flag = false;
    $flag = get_query_var('maxcube-flag');
    if (in_array($maxcube_post_format, array('gallery'))) {
    	if (!maxcube_exists_trx_addons()) {
    	} else {
	        maxcube_show_post_featured(array(
	            'singular' => false,
	            'no_links' => !empty($maxcube_template_args['no_links']),
	            'hover' => $maxcube_hover,
	            'thumb_size' => maxcube_get_thumb_size(strpos(maxcube_get_theme_option('body_style'), 'full') !== false ? 'full' : ($maxcube_expanded ? 'huge' : 'half'))
	        ));
	    }
    } elseif (in_array($maxcube_post_format, array('video'))  || $flag) {
        maxcube_show_post_featured(array(
            'singular' => false,
            'no_links' => !empty($maxcube_template_args['no_links']),
            'hover' => $maxcube_hover,
            'thumb_size' => maxcube_get_thumb_size(strpos(maxcube_get_theme_option('body_style'), 'full') !== false ? 'full' : ($maxcube_expanded ? 'huge' : 'big'))
        ));
    } else {
        maxcube_show_post_featured(array(
            'singular' => false,
            'no_links' => !empty($maxcube_template_args['no_links']),
            'hover' => $maxcube_hover,
            'thumb_size' => maxcube_get_thumb_size(strpos(maxcube_get_theme_option('body_style'), 'full') !== false ? 'full' : ($maxcube_expanded ? 'huge' : 'half'))
        ));
    }
    ?><div class="ex-right"><?php
            if (in_array($maxcube_post_format, array('video', 'audio', 'quote'))) {
                ?>
                <div class="post-conters"><?php
                $dt = apply_filters('maxcube_filter_get_post_date', maxcube_get_date('', 'j M'));
                $date = explode(' ', $dt);
                if (count($date) > 1) {
                    $date[0] = '<span class="post-date">' . $date[0] . '</span> <span class="post-all">';
                    $date[count($date) - 1] = ' <span class="post-day">' . $date[count($date) - 1] . '</span></span>';
                }
                $dt = '';
                foreach ($date as $d) {
                    $dt = $dt . ' ' . $d;
                }
                if (!empty($dt)) {
                    ?>
                    <div class="post_meta_item post_date"><?php echo wp_kses_post($dt); ?></div>
                    <?php
                }
                ?></div><?php
            }

	// Title and post meta
	if (get_the_title() != '') {
		?><div class="post_header entry-header">
			<?php

            maxcube_show_post_meta(apply_filters('maxcube_filter_post_meta_args', array(
                    'components' => 'categories',
                    'counters' => '',
                    'seo' => false
                ), 'excerpt', 1)
            );


			do_action('maxcube_action_before_post_title'); 

			// Post title
			if (empty($maxcube_template_args['no_links']))
				the_title( sprintf( '<h4 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h4>' );
			else
				the_title( '<h4 class="post_title entry-title">', '</h4>' );

			?>
		</div><!-- .post_header --><?php
	}
	
	// Post content
	if (empty($maxcube_template_args['hide_excerpt'])) {

		?><div class="post_content entry-content"><?php
			if (maxcube_get_theme_option('blog_content') == 'fullpost') {
				// Post content area
				?><div class="post_content_inner"><?php
					the_content( '' );
				?></div><?php
				// Inner pages
				wp_link_pages( array(
					'before'      => '<div class="page_links"><span class="page_links_title">' . esc_html__( 'Pages:', 'maxcube' ) . '</span>',
					'after'       => '</div>',
					'link_before' => '<span>',
					'link_after'  => '</span>',
					'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'maxcube' ) . ' </span>%',
					'separator'   => '<span class="screen-reader-text">, </span>',
				) );
			} else {
				// Post content area
				?><div class="post_content_inner"><?php
					if (has_excerpt()) {
						the_excerpt();
					} else if (strpos(get_the_content('!--more'), '!--more')!==false) {
						the_content( '' );
					} else if (in_array($maxcube_post_format, array('link', 'aside', 'status'))) {
						the_content();
					} else if ($maxcube_post_format == 'quote') {
						if (($quote = maxcube_get_tag(get_the_content(), '<blockquote>', '</blockquote>'))!='')
							maxcube_show_layout(wpautop($quote));
						else
							the_excerpt();
					} else if (substr(get_the_content(), 0, 4)!='[vc_') {
						the_excerpt();
					}
				?></div><?php
				// More button
				if ( empty($maxcube_template_args['no_links']) && !in_array($maxcube_post_format, array('link', 'aside', 'status', 'quote')) ) {
					?><p><a class="sc_button sc_button_simple" href="<?php echo esc_url(get_permalink()); ?>"><?php esc_html_e('Read more', 'maxcube'); ?></a></p><?php
				}

                do_action('maxcube_action_before_post_meta');

                // Post meta
                $maxcube_components = maxcube_array_get_keys_by_value(maxcube_get_theme_option('meta_parts'));
                $maxcube_counters = maxcube_array_get_keys_by_value(maxcube_get_theme_option('counters'));

			}
		?></div></div><!-- .entry-content --><?php
	}
?><?php

if (!empty($maxcube_components) && !in_array($maxcube_hover, array('border', 'pull', 'slide', 'fade')))
    maxcube_show_post_meta(apply_filters('maxcube_filter_post_meta_args', array(
            'components' => $maxcube_components,
            'counters' => $maxcube_counters,
            'seo' => false
        ), 'excerpt', 1)
    );
?></div></article><?php

if (is_array($maxcube_template_args)) {
	if (!empty($maxcube_template_args['slider']) || $maxcube_columns > 1) {
		?></div><?php
	}
}
?>