<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage MAXCUBE
 * @since MAXCUBE 1.0
 */

$maxcube_template_args = get_query_var('maxcube_template_args');
if (is_array($maxcube_template_args)) {
	$maxcube_columns = empty($maxcube_template_args['columns']) ? 2 : max(2, $maxcube_template_args['columns']);
	$maxcube_blog_style = array($maxcube_template_args['type'], $maxcube_columns);
} else {
	$maxcube_blog_style = explode('_', maxcube_get_theme_option('blog_style'));
	$maxcube_columns = empty($maxcube_blog_style[1]) ? 2 : max(2, $maxcube_blog_style[1]);
}
$maxcube_post_format = get_post_format();
$maxcube_post_format = empty($maxcube_post_format) ? 'standard' : str_replace('post-format-', '', $maxcube_post_format);
$maxcube_animation = maxcube_get_theme_option('blog_animation');

?><article id="post-<?php the_ID(); ?>" <?php
	post_class( 'post_item'
				. ' post_layout_portfolio'
				. ' post_layout_portfolio_'.esc_attr($maxcube_columns)
				. ' post_format_'.esc_attr($maxcube_post_format)
				. (is_sticky() && !is_paged() ? ' sticky' : '')
				. (!empty($maxcube_template_args['slider']) ? ' slider-slide swiper-slide' : '')
			);
	echo (!maxcube_is_off($maxcube_animation) && empty($maxcube_template_args['slider']) ? ' data-animation="'.esc_attr(maxcube_get_animation_classes($maxcube_animation)).'"' : '');
?>><?php

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	$maxcube_image_hover = !empty($maxcube_template_args['hover']) && !maxcube_is_inherit($maxcube_template_args['hover'])
								? $maxcube_template_args['hover']
								: maxcube_get_theme_option('image_hover');
	// Featured image
	maxcube_show_post_featured(array(
		'singular' => false,
		'hover' => $maxcube_image_hover,
		'no_links' => !empty($maxcube_template_args['no_links']),
		'thumb_size' => maxcube_get_thumb_size(strpos(maxcube_get_theme_option('body_style'), 'full')!==false || $maxcube_columns < 3 
								? 'masonry-big' 
								: 'masonry'),
		'show_no_image' => true,
		'class' => $maxcube_image_hover == 'dots' ? 'hover_with_info' : '',
		'post_info' => $maxcube_image_hover == 'dots' ? '<div class="post_info">'.esc_html(get_the_title()).'</div>' : ''
	));
	?>
</article>