<?php
/**
 * The Sticky template to display the sticky posts
 *
 * Used for index/archive
 *
 * @package WordPress
 * @subpackage MAXCUBE
 * @since MAXCUBE 1.0
 */

$maxcube_columns = max(1, min(3, count(get_option( 'sticky_posts' ))));
$maxcube_post_format = get_post_format();
$maxcube_post_format = empty($maxcube_post_format) ? 'standard' : str_replace('post-format-', '', $maxcube_post_format);
$maxcube_animation = maxcube_get_theme_option('blog_animation');

?><div class="column-1_<?php echo esc_attr($maxcube_columns); ?>"><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_sticky post_format_'.esc_attr($maxcube_post_format) ); ?>
	<?php echo (!maxcube_is_off($maxcube_animation) ? ' data-animation="'.esc_attr(maxcube_get_animation_classes($maxcube_animation)).'"' : ''); ?>
	>

	<?php
	if ( is_sticky() && is_home() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	maxcube_show_post_featured(array(
		'thumb_size' => maxcube_get_thumb_size($maxcube_columns==1 ? 'big' : ($maxcube_columns==2 ? 'med' : 'avatar'))
	));

	if ( !in_array($maxcube_post_format, array('link', 'aside', 'status', 'quote')) ) {
		?>
		<div class="post_header entry-header">
			<?php
			// Post title
			the_title( sprintf( '<h6 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h6>' );
			// Post meta
			maxcube_show_post_meta(apply_filters('maxcube_filter_post_meta_args', array(), 'sticky', $maxcube_columns));
			?>
		</div><!-- .entry-header -->
		<?php
	}
	?>
</article></div>