<?php
/**
 * The template for homepage posts with "Classic" style
 *
 * @package WordPress
 * @subpackage MAXCUBE
 * @since MAXCUBE 1.0
 */

maxcube_storage_set('blog_archive', true);

get_header(); 

if (have_posts()) {

	maxcube_blog_archive_start();

	$maxcube_classes = 'posts_container '
						. (substr(maxcube_get_theme_option('blog_style'), 0, 7) == 'classic' 
							? 'columns_wrap columns_padding_bottom' 
							: 'masonry_wrap'
							);
	$maxcube_stickies = is_home() ? get_option( 'sticky_posts' ) : false;
	$maxcube_sticky_out = maxcube_get_theme_option('sticky_style')=='columns' 
							&& is_array($maxcube_stickies) && count($maxcube_stickies) > 0 && get_query_var( 'paged' ) < 1;
	if ($maxcube_sticky_out) {
		?><div class="sticky_wrap columns_wrap"><?php	
	}
	if (!$maxcube_sticky_out) {
		if (maxcube_get_theme_option('first_post_large') && !is_paged() && !in_array(maxcube_get_theme_option('body_style'), array('fullwide', 'fullscreen'))) {
			the_post();
			get_template_part( apply_filters('maxcube_filter_get_template_part', 'content', 'excerpt'), 'excerpt' );
		}
		
		?><div class="<?php echo esc_attr($maxcube_classes); ?>"><?php
	}
	while ( have_posts() ) { the_post(); 
		if ($maxcube_sticky_out && !is_sticky()) {
			$maxcube_sticky_out = false;
			?></div><div class="<?php echo esc_attr($maxcube_classes); ?>"><?php
		}
		$maxcube_part = $maxcube_sticky_out && is_sticky() ? 'sticky' : 'classic';
		get_template_part( apply_filters('maxcube_filter_get_template_part', 'content', $maxcube_part), $maxcube_part );
	}
	
	?></div><?php

	maxcube_show_pagination();

	maxcube_blog_archive_end();

} else {

	if ( is_search() )
		get_template_part( apply_filters('maxcube_filter_get_template_part', 'content', 'none-search'), 'none-search' );
	else
		get_template_part( apply_filters('maxcube_filter_get_template_part', 'content', 'none-archive'), 'none-archive' );

}

get_footer();
?>