<?php
/* Booked Appointments support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'maxcube_booked_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'maxcube_booked_theme_setup9', 9 );
	function maxcube_booked_theme_setup9() {
		add_filter( 'maxcube_filter_merge_styles', 'maxcube_booked_merge_styles' );
		if ( is_admin() ) {
			add_filter( 'maxcube_filter_tgmpa_required_plugins', 'maxcube_booked_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'maxcube_booked_tgmpa_required_plugins' ) ) {
	//Handler of the add_filter('maxcube_filter_tgmpa_required_plugins',	'maxcube_booked_tgmpa_required_plugins');
	function maxcube_booked_tgmpa_required_plugins( $list = array() ) {
		if ( maxcube_storage_isset( 'required_plugins', 'booked' ) ) {
			$path = maxcube_get_file_dir( 'plugins/booked/booked.zip' );
			if ( ! empty( $path ) || maxcube_get_theme_setting( 'tgmpa_upload' ) ) {
				$list[] = array(
					'name'     => maxcube_storage_get_array( 'required_plugins', 'booked' ),
					'slug'     => 'booked',					
					'version'	=> '2.2.5',
					'source'   => ! empty( $path ) ? $path : 'upload://booked.zip',
					'required' => false,
				);
			}			
		}
		return $list;
	}
}


// Check if plugin installed and activated
if ( ! function_exists( 'maxcube_exists_booked' ) ) {
	function maxcube_exists_booked() {
		return class_exists( 'booked_plugin' );
	}
}

// Merge custom styles
if ( ! function_exists( 'maxcube_booked_merge_styles' ) ) {
	//Handler of the add_filter('maxcube_filter_merge_styles', 'maxcube_booked_merge_styles');
	function maxcube_booked_merge_styles( $list ) {
		if ( maxcube_exists_booked() ) {
			$list[] = 'plugins/booked/_booked.scss';
		}
		return $list;
	}
}


// Add plugin-specific colors and fonts to the custom CSS
if ( maxcube_exists_booked() ) {
	require_once MAXCUBE_THEME_DIR . 'plugins/booked/booked-styles.php'; }

