<?php
// Add plugin-specific colors and fonts to the custom CSS
if (!function_exists('maxcube_trx_addons_get_mycss')) {
	add_filter('maxcube_filter_get_css', 'maxcube_trx_addons_get_mycss', 10, 4);
	function maxcube_trx_addons_get_mycss($css, $args) {

        if (isset($css['fonts']) && isset($args['fonts'])) {
            $fonts = $args['fonts'];
            $css['fonts'] .= <<<CSS
            
            .post-conters .post_date,
            .breadcrumbs,
            .calculator #fbuilder .fields label,
            #fbuilder legend,
            .sc_item_subtitle,
            .sc_content_default strong,
            input.codepeoplecalculatedfield,
            body #fbuilder .fields.column2.comment_area span.uh,
            #fbuilder .nextline label,
            .comments_list_wrap .comment_reply,
            .author_bio .author_link,
            .socials_share .socials_caption,
            .sticky .label_sticky,
            .sc_services .sc_services_item_number,
            .esg-filters div.esg-navigationbutton, .woocommerce nav.woocommerce-pagination ul li a, .woocommerce nav.woocommerce-pagination ul li span.current, .page_links > span:not(.page_links_title), .page_links > a, .comments_pagination .page-numbers, .nav-links .page-numbers,
            .post_meta_item.post_categories a,
            .sc_testimonials_item_content:before,
            .sc_skills_pie.sc_skills_compact_off .sc_skills_item_title,
            .sc_layouts_row_type_compact .sc_layouts_item_details_line1,
            .sidebar .widget_calendar caption,
            .widget_product_tag_cloud a, .widget_tag_cloud a,
            span.sc_form_field_title,
            table th, table th + th, table td + th,
            .wp-caption .wp-caption-text,
            .wp-caption .wp-caption-dd,
            .wp-caption-overlay .wp-caption .wp-caption-text,
            .wp-caption-overlay .wp-caption .wp-caption-dd,
            blockquote:before,
            .sc_skills_counter .unit,
            blockquote > cite, blockquote > p > cite,
            .trx_addons_dropcap {
                {$fonts['h1_font-family']}
            }
            figure figcaption,
            .format-audio .post_featured .post_audio_author, .trx_addons_audio_player .audio_author,
            .sidebar .widget_calendar th,
            .widget_area .post_item .post_title, 
            aside .post_item .post_title,
            .mejs-controls .mejs-time * {
                {$fonts['p_font-family']}
            }
            
            .body_wrap .page_wrap .SliderButton {
                {$fonts['h1_font-family']}
            }

CSS;
        }

        if (isset($css['colors']) && isset($args['colors'])) {
            $colors = $args['colors'];
            $css['colors'] .= <<<CSS
            
            /* Inline colors */
            .trx_addons_accent,
            .trx_addons_accent_big,
            .trx_addons_accent > a,
            .trx_addons_accent > * {
                color: {$colors['text_link']};
            }
            .trx_addons_accent_hovered,
            .trx_addons_accent_hovered,
            .trx_addons_accent_hovered > a,
            .trx_addons_accent_hovered > * {
                color: {$colors['text_hover']};
            }
            .trx_addons_accent_bg {
                background-color: {$colors['text_link']};
                color: {$colors['text_dark']};
            }

            
            /* Tooltip */
            .trx_addons_tooltip {
                color: {$colors['text_dark']};
                border-color: {$colors['text_dark']};
            }
            .trx_addons_tooltip:before {
                background-color: {$colors['text_dark']};
                color: {$colors['inverse_link']};
            }
            .trx_addons_tooltip:after {
                border-top-color: {$colors['text_dark']};
            }
            .scheme_dark .trx_addons_tooltip:before {
                background-color: {$colors['text_link']};
                color: {$colors['inverse_link']};
            }
            .scheme_dark .trx_addons_tooltip:after {
                border-top-color: {$colors['text_link']};
            }
            
            
            /* Dropcaps */
            .trx_addons_dropcap_style_1 {
                background-color: {$colors['text_link']};
                color: {$colors['text_dark']};
            }
            .trx_addons_dropcap_style_2 {
                background-color: {$colors['bg_color_0']};
                color: {$colors['text_dark']};
            }
            
            /* Blockqoute */
            blockquote {
                color: {$colors['text_dark']};
                background-color: {$colors['text_link']};
            }
            blockquote cite a,
            blockquote > a, blockquote > p > a,
            blockquote > cite, blockquote > p > cite {
                color: {$colors['text_dark']};
            }
            blockquote:before {
                color: {$colors['text_hover2']};
            }
            
            /* Images */
            figure figcaption,
            .wp-caption .wp-caption-text,
            .wp-caption .wp-caption-dd,
            .wp-caption-overlay .wp-caption .wp-caption-text,
            .wp-caption-overlay .wp-caption .wp-caption-dd {
                color: {$colors['text_dark']};
                background-color: {$colors['text_link']};
            }
            
            
            /* Lists */
            ul[class*="trx_addons_list"] > li:before {
                color: {$colors['text_dark']};
            }
            ul[class*="trx_addons_list_arrow"] > li:before {
                color: {$colors['bg_color']};
                background-color: {$colors['text_dark']};
            }
            
          
            
            /* Table */
            table th {
                color: {$colors['bg_color']};
                background-color: {$colors['text_dark']};
            }
            table th, table th + th, table td + th  {
                border-color: {$colors['bg_color_01']};
            }
            table td, table th + td, table td + td {
                color: {$colors['text']};
                border-color: {$colors['bg_color']};
            }
            table > tbody > tr:nth-child(2n+1) > td {
                background-color: {$colors['alter_bg_hover']};
            }
            table > tbody > tr:nth-child(2n) > td {
                background-color: {$colors['alter_bg_color']};
            }
            th a {
                color: {$colors['inverse_link']};
            }

            /* Main menu */
            .sc_layouts_menu_nav>li>a {
                color: {$colors['text']} !important;
            }
            .sc_layouts_menu_nav>li>a:hover,
            .sc_layouts_menu_nav>li.sfHover>a,
            .sc_layouts_menu_nav>li.current-menu-item>a,
            .sc_layouts_menu_nav>li.current-menu-parent>a,
            .sc_layouts_menu_nav>li.current-menu-ancestor>a {
                color: {$colors['text_link2']} !important;
            }
            /* Dropdown menu */
            .scheme_dark .sc_layouts_menu_nav>li>ul:before,
            .scheme_dark .sc_layouts_menu_nav>li ul {
                background-color: {$colors['extra_bg_color']};
            }
            .sc_layouts_menu_nav>li>ul:before,
            .sc_layouts_menu_nav>li ul {
                background-color: {$colors['text_dark']};
            }
            .sc_layouts_menu_popup .sc_layouts_menu_nav>li>a,
            .sc_layouts_menu_nav>li li>a {
                color: {$colors['inverse_link']} !important;
            }
            .sc_layouts_menu_nav>li li>a:hover:after,
            .sc_layouts_menu_popup .sc_layouts_menu_nav>li>a:hover,
            .sc_layouts_menu_popup .sc_layouts_menu_nav>li.sfHover>a,
            .sc_layouts_menu_nav>li li>a:hover,
            .sc_layouts_menu_nav>li li.sfHover>a,
            .sc_layouts_menu_nav>li li.current-menu-item>a,
            .sc_layouts_menu_nav>li li.current-menu-parent>a,
            .sc_layouts_menu_nav>li li.current-menu-ancestor>a {
                color: {$colors['text_link']} !important;
                background-color: {$colors['bg_color_0']};
            }
            .sc_layouts_menu_nav > li li > a:before {
                background-color: {$colors['inverse_link']};
            }
            
            
            /* Breadcrumbs */
            .sc_layouts_title_caption {
                color: {$colors['text_dark']};
            }
            .sc_layouts_title_breadcrumbs,
            .sc_layouts_title_breadcrumbs a {
                color: {$colors['text_dark']} !important;
            }
            .breadcrumbs_item:before {
                background-color: {$colors['text_dark']};
            }
            .breadcrumbs_item.current{
                color: {$colors['text_link2']} !important;
            }
            .sc_layouts_title_breadcrumbs a:hover {
                color: {$colors['text_link2']} !important;
            }
            
            /* Slider */
            .slider_container .slider_pagination_wrap .swiper-pagination-bullet,
            .slider_outer .slider_pagination_wrap .swiper-pagination-bullet,
            .swiper-pagination-custom .swiper-pagination-button {
                border-color: {$colors['bg_color']};
                background-color: {$colors['bg_color_03']};
            }
            .swiper-pagination-custom .swiper-pagination-button.swiper-pagination-button-active,
            .slider_container .slider_pagination_wrap .swiper-pagination-bullet.swiper-pagination-bullet-active,
            .slider_outer .slider_pagination_wrap .swiper-pagination-bullet.swiper-pagination-bullet-active,
            .slider_container .slider_pagination_wrap .swiper-pagination-bullet:hover,
            .slider_outer .slider_pagination_wrap .swiper-pagination-bullet:hover {
                border-color: {$colors['bg_color']};
                background-color: {$colors['bg_color']};
            }
            
            .sc_slider_controls .slider_controls_wrap > a,
            .slider_container.slider_controls_side .slider_controls_wrap > a,
            .slider_outer_controls_side .slider_controls_wrap > a {
                color: {$colors['text_link']};
                background-color: {$colors['bg_color']};
                border-color: {$colors['bg_color']};
            }
            .sc_slider_controls .slider_controls_wrap > a:hover,
            .slider_container.slider_controls_side .slider_controls_wrap > a:hover,
            .slider_outer_controls_side .slider_controls_wrap > a:hover {
                color: {$colors['text']};
                background-color: {$colors['bg_color']};
                border-color: {$colors['bg_color']};
            }
            .custom.tparrows.tp-rightarrow:after,
            .slider_next.swiper-button-next:after {
                background-color: {$colors['bd_color']};
            }
            
            
            /* Layouts */
            .sc_layouts_logo .logo_text {
                color: {$colors['text_dark']};
            }
            

            /* Shortcodes */
            .sc_skills_pie.sc_skills_compact_off .sc_skills_total {
                color: {$colors['text_dark']};
            }
            .sc_skills_pie.sc_skills_compact_off .sc_skills_item_title {
                color: {$colors['text_dark']};
            }
            .sc_countdown .sc_countdown_label{
                color: {$colors['text_dark']};
                background: {$colors['bg_color_0']};
            }
            .sc_countdown_default .sc_countdown_digits span {
                color: {$colors['text_hover']};
                background: {$colors['bg_color_0']};
            }
            .sc_skills .sc_skills_item_title {
                color: {$colors['text']};
            }
            .sc_skills_counter .sc_skills_icon {
                color: {$colors['text_link']};
                background: {$colors['alter_bg_color']};
            }
            
            /* Audio */
            .trx_addons_audio_player.without_cover,
            .format-audio .post_featured.without_thumb .post_audio {
                background: {$colors['bg_color']} !important;
                border-color: {$colors['text_link']};
            }
            .format-audio .post_featured.without_thumb .mejs-controls,
            .trx_addons_audio_player.without_cover .mejs-controls {
                background: {$colors['bg_color']};
            }
            .format-audio .post_featured.without_thumb .mejs-container,
            .trx_addons_audio_player.without_cover .mejs-container {
                background: {$colors['bg_color']};
            }
            .format-audio .post_featured.without_thumb .post_audio_author,
            .trx_addons_audio_player.without_cover .audio_author,
            .format-audio .post_featured.without_thumb .mejs-controls .mejs-time,
            .trx_addons_audio_player.without_cover .mejs-time {
                color: {$colors['text']};
            }
            .mejs-controls .mejs-button > button {
                background: {$colors['text_dark']} !important;
                color: {$colors['bg_color']}!important;
            }
            .mejs-controls .mejs-button > button:before {
                background: {$colors['bg_color_0']} !important;
            }
            .mejs-controls .mejs-button > button:hover {
                background: {$colors['text_dark']} !important;
                color: {$colors['text_link']}!important;
            }
            .mejs-controls .mejs-time-rail .mejs-time-total,
            .mejs-controls .mejs-volume-slider .mejs-volume-total,
            .mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-total {
                background: {$colors['alter_bg_color']};
            }
            .mejs-controls .mejs-time-rail .mejs-time-loaded {
                background: {$colors['bg_color_02']};
            }
            .mejs-controls .mejs-time-rail .mejs-time-hovered,
            .mejs-controls .mejs-time-rail .mejs-time-current,
            .mejs-controls .mejs-volume-slider .mejs-volume-current,
            .mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-current {
                background: {$colors['text_dark']};
            }
            .mejs-controls .mejs-time * {
                color: {$colors['text']};
            }
            .post_item_single.post_type_post .mejs-controls .mejs-time * {
                color: {$colors['inverse_link']};
            }
            .post_item_single.post_type_post .mejs-controls .mejs-time-rail .mejs-time-hovered,
            .post_item_single.post_type_post .mejs-controls .mejs-time-rail .mejs-time-current,
            .post_item_single.post_type_post .mejs-controls .mejs-volume-slider .mejs-volume-current,
            .post_item_single.post_type_post .mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-current {
                background: {$colors['text_link']};
            }
            
            .trx_addons_audio_player.without_cover .audio_author,
            .format-audio .post_featured.without_thumb .post_audio_author {
                color: {$colors['text']};
            }
            
            /* Video */
            .trx_addons_video_player.with_cover .video_hover,
            .format-video .post_featured.with_thumb .post_video_hover {
                color: {$colors['text_dark']};
                background-color: {$colors['text_link']};
            }
            .trx_addons_video_player.with_cover .video_hover:hover,
            .format-video .post_featured.with_thumb .post_video_hover:hover {
                color: {$colors['text_link']};
                background-color: {$colors['text_dark']};
            }
            
            
            /* Price */
            .sc_price_item {
                color: {$colors['text']};
                background-color: {$colors['bg_color']};
                border-color: {$colors['text_link']};
            }
            .sc_price_item:hover {
                color: {$colors['text']};
                background-color: {$colors['bg_color']};
                border-color: {$colors['text_link']};
            }
            .sc_price_item:hover .sc_price_item_title,
            .sc_price_item .sc_price_item_title,
            .sc_price_item .sc_price_item_title a {
                color: {$colors['text_dark']};
            }
            .sc_price_item:hover .sc_price_item_title a {
                color: {$colors['text_dark']};
            }
            .sc_price_item_title {
                background-color: {$colors['bg_color']};
            }
            .sc_price_item .sc_price_item_price {
                color: {$colors['extra_light']};
            }
            .sc_price_item .sc_price_item_description{
                color: {$colors['text']};
            }
            .sc_price_item .sc_price_item_details {
                color: {$colors['text']};
            }

            
            .widget ul#recentcomments .recentcomments {
                color: {$colors['text_light']};
            }
            .comment-author-link a,
            .comment-author-link {
                color: {$colors['text_link2']};
            }
            
            .sc_layouts_row_type_compact .sc_layouts_item_details_line1 {
                color: {$colors['text_dark']};
            }
            .sc_layouts_row_type_compact .sc_layouts_item_details_line2 {
                color: {$colors['text']};
            }
            .sc_layouts_row_type_compact a:hover .sc_layouts_item_details_line2 {
                color: {$colors['text_link2']};
            }
            .sc_layouts_row_type_compact .search_style_fullscreen:not(.search_opened) .search_submit {
                background-color: {$colors['text_dark']};
                color: {$colors['bg_color']};
            }
            .sc_layouts_row_type_compact .search_style_fullscreen:not(.search_opened) .search_submit:before {
                color: {$colors['bg_color']};
            }
            .sc_layouts_row_type_compact .search_style_fullscreen:not(.search_opened) .search_submit:hover {
                background-color: {$colors['text_link']};
                color: {$colors['text_dark']};
            }
            .sc_layouts_row_type_compact .search_style_fullscreen:not(.search_opened) .search_submit:hover:before {
                color: {$colors['text_dark']};
            }
            .sc_skills_counter .unit,
            .scheme_self.footer_wrap .widget_title,
            .scheme_self.footer_wrap .widgettitle {
                color: {$colors['text_link']};
            }
            .scheme_self.footer_wrap li a {
                color: {$colors['alter_text']};
            }
            .scheme_self.footer_wrap li a:hover {
                color: {$colors['text_dark']};
            }
            .swiper-pagination-custom .swiper-pagination-button:before {
                border-color: {$colors['text_link']};
            }
            .sc_testimonials_item_author_subtitle {
                color: {$colors['text_light']};
            }
            .sc_testimonials_item_content:before {
                color: {$colors['text_light']};
            }
            .sc_testimonials_item_content {
                color: {$colors['text']};
            }
            .sc_testimonials_item_author_title {
                color: {$colors['text_dark']};
            }
            .scheme_self.sc_testimonials [class*="column"] .sc_testimonials_item_author_subtitle,
            .scheme_self.sc_testimonials [class*="column"] .sc_testimonials_item_content:before,
            .scheme_self.sc_testimonials [class*="column"] .sc_testimonials_item_content {
                color: {$colors['alter_text']};
            }
            .scheme_self.sc_testimonials [class*="column"] .sc_testimonials_item_author_title {
                color: {$colors['text_link']};
            }
            .sc_action_item_default.with_image .sc_action_item_icon, .sc_action_item_default.with_image .sc_action_item_title {
                color: {$colors['text_dark']};
            }
            .post-conters .post_date {
                color: {$colors['text_dark']};
                background-color: {$colors['text_link']};
            }
            .nav-links {
                border-top-color: {$colors['text_dark']};
            }
            .sc_icons_item_description h4 a,
            .sc_icons .sc_icons_icon,
            .sc_icons .sc_icons_item_title,
            .socials_share .socials_caption {
                color: {$colors['text_dark']};
            }
            .sc_icons_item {
                border-color: {$colors['text_link']};
            }
            .sc_icons .sc_icons_icon {
                background-color: {$colors['bg_color']};
            }
            .sc_icons_item_description a,
            .sc_icons_item_description {
                color: {$colors['text']};
            }
            .sc_icons_item_description h4 a:hover,
            .sc_icons_item_description a:hover {
                color: {$colors['text_link2']};
            }
            .sc_content #fbuilder input[type="number"],
            input.wpcf7-form-control,
            textarea.wpcf7-form-control {
                border-color: {$colors['bg_color']};
            }
            .single-cpt_services .wpcf7-form-control {
                border-color: {$colors['bd_color']};    
            }
            .sc_content #fbuilder input[type="number"]:focus,
            input.wpcf7-form-control:focus,
            textarea.wpcf7-form-control:focus {
                border-color: {$colors['text_dark']};
            }
            .wpcf7 .wpcf7-submit {
                color: {$colors['text_link']};
                background-color: {$colors['text_dark']};
            }
            .calculator #fbuilder input[type="reset"]:hover,
            .wpcf7 .wpcf7-submit:hover {
                color: {$colors['text_dark']};
                background-color: {$colors['text_link2']};
            }
            div.wpcf7-validation-errors, div.wpcf7-acceptance-missing {
                border-color: {$colors['text_dark']};
            }
            .sc_services_light .sc_services_item {
                background-color: {$colors['alter_bg_color']};
            }
            .sc_services .sc_services_item_number {
                color: {$colors['text_dark']};
            }
            .calculator #fbuilder input[type="reset"],
            .sc_item_button.sc_button_wrap  .sc_button:not(.sc_button_simple):after {
                color: {$colors['text_link']};
                background-color: {$colors['text_dark']};
            }
            .sc_item_button.sc_button_wrap  .sc_button:not(.sc_button_simple):hover:after {
                color: {$colors['text_link']};
                background-color: {$colors['text_dark']};
            }
            #fbuilder .nextline label,
            body #fbuilder .fields.column2.comment_area span.uh {
                color: {$colors['text_dark']};
            }
            input.codepeoplecalculatedfield {
                color: {$colors['text_dark']};
                border-color: {$colors['text_dark']};
                background-color: {$colors['bg_color_0']};
            }
            input.codepeoplecalculatedfield::-webkit-input-placeholder {
                color: {$colors['text_dark']};
            }
            input.codepeoplecalculatedfield::-moz-placeholder {
                color: {$colors['text_dark']};
            }
            .sc_content_bordered {
                border-color: {$colors['text_link']};
            }
            .sc_content_bordered .sc_item_subtitle {
                color: {$colors['text_dark']};
                background-color: {$colors['bg_color']};
            }
            .sc_item_subtitle {
                color: {$colors['text_dark']};
                }
            .simple.sc_services_light .sc_services_item .sc_button:after,
            .simple.sc_services_light .sc_services_item .sc_button:before,
            .simple.sc_services_light .sc_services_item .sc_button {
                color: {$colors['text_dark']};
            }
            .simple.sc_services_light .sc_services_item .sc_button:hover:after,
            .simple.sc_services_light .sc_services_item .sc_button:hover:before,
            .simple.sc_services_light .sc_services_item .sc_button:hover {
                color: {$colors['text_link']} !important;
            }
            .sc_services_default .sc_services_item {
                color: {$colors['text']};
                background-color: {$colors['bg_color_0']};
            }
            form.mc4wp-form .mc4wp-form-fields button[type="submit"] {
                color: {$colors['text_link']};
                background-color: {$colors['text_dark']};
            }
            form.mc4wp-form .mc4wp-form-fields button[type="submit"]:after {
                color: {$colors['text_dark']};
                background-color: {$colors['text_link']};
            }
            form.mc4wp-form .mc4wp-form-fields button[type="submit"]:hover:after,
            form.mc4wp-form .mc4wp-form-fields button[type="submit"]:hover {
                color: {$colors['text_dark']};
                background-color: {$colors['text_link2']};
            }
            form.mc4wp-form .mc4wp-form-fields input[type="email"] {
                border-color: {$colors['bg_color']};
            }
            .sc_services_light .sc_services_item_icon {
                color: {$colors['text_link']};
                background-color: {$colors['text_dark']};
            }
            .sc_services_light .sc_services_item:hover .sc_services_item_icon {
                color: {$colors['text_dark']};
                background-color: {$colors['text_link2']};
            }
            .scheme_dark .sc_skills .sc_skills_item_title {
                color: {$colors['inverse_link']};
            }
            .contact strong {
                color: {$colors['text_dark']};
            }
            .contact a {
                color: {$colors['text']};
            }
            .contact a:hover {
                color: {$colors['text_link2']};
            }
            .calculator #fbuilder .fields:before,
            .calculator #fbuilder .fields label,
            #fbuilder legend,
            .contact h4 a {
                color: {$colors['text_dark']};
            }
            .contact h4 a:hover {
                color: {$colors['text_link2']};
            }
            .calculator #fbuilder .cff-container-field:after {
                border-color: {$colors['alter_bg_color']};
            }
            .calculator #fbuilder .cff-number-field .dfield span {
                color: {$colors['text']};
                background-color: {$colors['bg_color']};
            }
            .calculator #fbuilder .cff-number-field .dfield span {
                color: {$colors['text_dark']};
                background-color: {$colors['bg_color']};
            }
            .wpcf7 a {
                color: {$colors['text_light']};
            }
            .wpcf7 a:hover {
                color: {$colors['text_dark']};
            }
            input[type="radio"] + .wpcf7-list-item-label:before, 
            input[type="checkbox"] + .wpcf7-list-item-label:before, 
            .wpcf7-list-item-label.wpcf7-list-item-right:before {
                background-color: {$colors['bg_color']};
            }
            
            .sc_services_extra .sc_services_item_info {
                background-color: {$colors['alter_bg_color']};
            }
            #fbuilder .nextline input.codepeoplecalculatedfield {
                color: {$colors['text_dark']};
            }
            #fbuilder .nextline input.codepeoplecalculatedfield::-webkit-input-placeholder {
                color: {$colors['text_dark']};
            }
            #fbuilder .nextline input.codepeoplecalculatedfield::-moz-placeholder {
                color: {$colors['text_dark']};
            }
            .scheme_dark.sc_layouts_row_type_compact .sc_layouts_item_details_line1 {
                color: {$colors['text_link']};
            }
            .scheme_dark.sc_layouts_row_type_compact .sc_layouts_item_details_line2 {
                color: {$colors['bg_color']};
            }
            .scheme_dark.sc_layouts_row_type_compact a:hover .sc_layouts_item_details_line2 {
                color: {$colors['text_link']};
            }
            .scheme_dark.sc_layouts_row_type_compact .search_style_fullscreen:not(.search_opened) .search_submit {
                background-color: {$colors['extra_bd_hover']};
            }
            .scheme_dark.sc_layouts_row_type_compact .search_style_fullscreen:not(.search_opened) .search_submit:hover {
                color: {$colors['text_dark']};
                background-color: {$colors['text_link']};
            }
            .body_wrap .page_wrap .SliderButton:after {
                color: {$colors['text_link']};
                background-color: {$colors['text_dark']};
            }
            .body_wrap .page_wrap .SliderButton:hover:after {
                color: {$colors['text_dark']};
                background-color: {$colors['text_link']};
            }
            .short.simple.sc_services_light .sc_services_item .sc_button:hover:after,
            .short.simple.sc_services_light .sc_services_item .sc_button:hover:before,
            .short.simple.sc_services_light .sc_services_item .sc_button:hover {
                color: {$colors['text_link2']}!important;
            }
            .page_description a {
                color: {$colors['text_dark']};
            }
            .page_description a:hover {
                color: {$colors['text']};
            }



CSS;
		}

		return $css;
	}
}
?>