<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package WordPress
 * @subpackage MAXCUBE
 * @since MAXCUBE 1.0
 */

if (maxcube_sidebar_present()) {
	ob_start();
	$maxcube_sidebar_name = maxcube_get_theme_option('sidebar_widgets');
	maxcube_storage_set('current_sidebar', 'sidebar');
	if ( is_active_sidebar($maxcube_sidebar_name) ) {
		dynamic_sidebar($maxcube_sidebar_name);
	}
	$maxcube_out = trim(ob_get_contents());
	ob_end_clean();
	if (!empty($maxcube_out)) {
		$maxcube_sidebar_position = maxcube_get_theme_option('sidebar_position');
		?>
		<div class="sidebar <?php echo esc_attr($maxcube_sidebar_position); ?> widget_area<?php if (!maxcube_is_inherit(maxcube_get_theme_option('sidebar_scheme'))) echo ' scheme_'.esc_attr(maxcube_get_theme_option('sidebar_scheme')); ?>" role="complementary">
			<div class="sidebar_inner">
				<?php
				do_action( 'maxcube_action_before_sidebar' );
				maxcube_show_layout(preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $maxcube_out));
				do_action( 'maxcube_action_after_sidebar' );
				?>
			</div><!-- /.sidebar_inner -->
		</div><!-- /.sidebar -->
		<?php
	}
}
?>