<?php
/**
 * The template to display Admin notices
 *
 * @package WordPress
 * @subpackage MAXCUBE
 * @since MAXCUBE 1.0.1
 */
 
$maxcube_theme_obj = wp_get_theme();
?>
<div class="maxcube_admin_notice maxcube_welcome_notice update-nag"><?php
	// Theme image
	if ( ($maxcube_theme_img = maxcube_get_file_url('screenshot.jpg')) != '') {
		?><div class="maxcube_notice_image"><img src="<?php echo esc_url($maxcube_theme_img); ?>" alt="<?php esc_attr_e('Theme screenshot', 'maxcube'); ?>"></div><?php
	}

	// Title
	?><h3 class="maxcube_notice_title"><?php
		// Translators: Add theme name and version to the 'Welcome' message
		echo esc_html(sprintf(__('Welcome to %1$s v.%2$s', 'maxcube'),
				$maxcube_theme_obj->name . (MAXCUBE_THEME_FREE ? ' ' . __('Free', 'maxcube') : ''),
				$maxcube_theme_obj->version
				));
	?></h3><?php

	// Description
	?><div class="maxcube_notice_text"><?php
		echo str_replace('. ', '.<br>', wp_kses_data($maxcube_theme_obj->description));
		if (!maxcube_exists_trx_addons()) {
			echo (!empty($maxcube_theme_obj->description) ? '<br><br>' : '')
					. wp_kses_data(__('Attention! Plugin "ThemeREX Addons" is required! Please, install and activate it!', 'maxcube'));
		}
	?></div><?php

	// Buttons
	?><div class="maxcube_notice_buttons"><?php
		// Link to the page 'About Theme'
		?><a href="<?php echo esc_url(admin_url().'themes.php?page=maxcube_about'); ?>" class="button button-primary"><i class="dashicons dashicons-nametag"></i> <?php
			// Translators: Add theme name
			echo esc_html(sprintf(__('About %s', 'maxcube'), $maxcube_theme_obj->name));
		?></a><?php
		// Link to the page 'Install plugins'
		if (maxcube_get_value_gp('page')!='tgmpa-install-plugins') {
			?>
			<a href="<?php echo esc_url(admin_url().'themes.php?page=tgmpa-install-plugins'); ?>" class="button button-primary"><i class="dashicons dashicons-admin-plugins"></i> <?php esc_html_e('Install plugins', 'maxcube'); ?></a>
			<?php
		}
		// Link to the 'One-click demo import'
		if (function_exists('maxcube_exists_ocdi') && maxcube_exists_ocdi()) {
			?>
			<a href="<?php echo esc_url(admin_url().'themes.php?page=pt-one-click-demo-import'); ?>" class="button button-primary"><i class="dashicons dashicons-download"></i> <?php esc_html_e('One Click Demo Import', 'maxcube'); ?></a>
			<?php
		} else if (!maxcube_storage_isset('required_plugins', 'one-click-demo-import') && function_exists('maxcube_exists_trx_addons') && maxcube_exists_trx_addons() && class_exists('trx_addons_demo_data_importer')) {
			?>
			<a href="<?php echo esc_url(admin_url().'themes.php?page=trx_importer'); ?>" class="button button-primary"><i class="dashicons dashicons-download"></i> <?php esc_html_e('One Click Demo Import', 'maxcube'); ?></a>
			<?php
		}
		// Link to the Customizer
		?><a href="<?php echo esc_url(admin_url().'customize.php'); ?>" class="button"><i class="dashicons dashicons-admin-appearance"></i> <?php esc_html_e('Theme Customizer', 'maxcube'); ?></a><?php
		// Link to the Theme Options
		if (!MAXCUBE_THEME_FREE) {
			?><span> <?php esc_html_e('or', 'maxcube'); ?> </span>
        	<a href="<?php echo esc_url(admin_url().'themes.php?page=theme_options'); ?>" class="button"><i class="dashicons dashicons-admin-appearance"></i> <?php esc_html_e('Theme Options', 'maxcube'); ?></a><?php
        }
        // Dismiss this notice
        ?><a href="#" class="maxcube_hide_notice"><i class="dashicons dashicons-dismiss"></i> <span class="maxcube_hide_notice_text"><?php esc_html_e('Dismiss', 'maxcube'); ?></span></a>
	</div>
</div>