<?php
/**
 * The template to display Admin notices
 *
 * @package WordPress
 * @subpackage MAXCUBE
 * @since MAXCUBE 1.0.1
 */
 
$maxcube_theme_obj = wp_get_theme();

?>
<div class="maxcube_admin_notice maxcube_rate_notice update-nag"><?php
	// Theme image
	if ( ($maxcube_theme_img = maxcube_get_file_url('screenshot.jpg')) != '') {
		?><div class="maxcube_notice_image"><img src="<?php echo esc_url($maxcube_theme_img); ?>" alt="<?php esc_attr_e('Theme screenshot', 'maxcube'); ?>"></div><?php
	}

	// Title
	?><h3 class="maxcube_notice_title"><a href="<?php echo esc_url(maxcube_storage_get('theme_download_url')); ?>" target="_blank"><?php
		// Translators: Add theme name and version to the 'Welcome' message
		echo esc_html(sprintf(__('Rate our theme "%s", please', 'maxcube'),
				$maxcube_theme_obj->name . (MAXCUBE_THEME_FREE ? ' ' . __('Free', 'maxcube') : '')
				));
	?></a></h3><?php
	
	// Description
	?><div class="maxcube_notice_text">
		<p><?php echo wp_kses_data(__('We are glad you chose our WP theme for your website. You’ve done well customizing your website and we hope that you’ve enjoyed working with our theme.', 'maxcube')); ?></p>
		<p><?php echo wp_kses_data(__('It would be just awesome if you spend just a minute of your time to rate our theme or the customer service you’ve received from us.', 'maxcube')); ?></p>
		<p class="maxcube_notice_text_info"><?php echo wp_kses_data(__('* We love receiving your reviews! Every time you leave a review, our CEO Henry Rise gives $5 to homeless dog shelter! Save the planet with us!', 'maxcube')); ?></p>
	</div><?php

	// Buttons
	?><div class="maxcube_notice_buttons"><?php
		// Link to the theme download page
		?><a href="<?php echo esc_url(maxcube_storage_get('theme_download_url')); ?>" class="button button-primary" target="_blank"><i class="dashicons dashicons-star-filled"></i> <?php
			// Translators: Add theme name
			echo esc_html(sprintf(__('Rate theme %s', 'maxcube'), $maxcube_theme_obj->name));
		?></a><?php
		// Link to the theme support
		?><a href="<?php echo esc_url(maxcube_storage_get('theme_support_url')); ?>" class="button" target="_blank"><i class="dashicons dashicons-sos"></i> <?php
			esc_html_e('Support', 'maxcube');
		?></a><?php
		// Link to the theme documentation
		?><a href="<?php echo esc_url(maxcube_storage_get('theme_doc_url')); ?>" class="button" target="_blank"><i class="dashicons dashicons-book"></i> <?php
			esc_html_e('Documentation', 'maxcube');
		?></a><?php
		// Dismiss
		?><a href="#" class="maxcube_hide_notice"><i class="dashicons dashicons-dismiss"></i> <span class="maxcube_hide_notice_text"><?php esc_html_e('Dismiss', 'maxcube'); ?></span></a>
	</div>
</div>