<?php
/**
 * The template to display default site footer
 *
 * @package WordPress
 * @subpackage MAXCUBE
 * @since MAXCUBE 1.0.10
 */

$maxcube_footer_id = str_replace('footer-custom-', '', maxcube_get_theme_option("footer_style"));
if ((int) $maxcube_footer_id == 0) {
	$maxcube_footer_id = maxcube_get_post_id(array(
												'name' => $maxcube_footer_id,
												'post_type' => defined('TRX_ADDONS_CPT_LAYOUTS_PT') ? TRX_ADDONS_CPT_LAYOUTS_PT : 'cpt_layouts'
												)
											);
} else {
	$maxcube_footer_id = apply_filters('maxcube_filter_get_translated_layout', $maxcube_footer_id);
}
$maxcube_footer_meta = get_post_meta($maxcube_footer_id, 'trx_addons_options', true);
if (!empty($maxcube_footer_meta['margin']) != '') 
	maxcube_add_inline_css(sprintf('.page_content_wrap{padding-bottom:%s}', esc_attr(maxcube_prepare_css_value($maxcube_footer_meta['margin']))));
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr($maxcube_footer_id); 
						?> footer_custom_<?php echo esc_attr(sanitize_title(get_the_title($maxcube_footer_id))); 
						if (!maxcube_is_inherit(maxcube_get_theme_option('footer_scheme')))
							echo ' scheme_' . esc_attr(maxcube_get_theme_option('footer_scheme'));
						?>">
	<?php
    // Custom footer's layout
    do_action('maxcube_action_show_layout', $maxcube_footer_id);
	?>
</footer><!-- /.footer_wrap -->
