<?php
/**
 * The template to display the site logo in the footer
 *
 * @package WordPress
 * @subpackage MAXCUBE
 * @since MAXCUBE 1.0.10
 */

// Logo
if (maxcube_is_on(maxcube_get_theme_option('logo_in_footer'))) {
	$maxcube_logo_image = maxcube_get_logo_image('footer');
	$maxcube_logo_text  = get_bloginfo( 'name' );
	if (!empty($maxcube_logo_image) || !empty($maxcube_logo_text)) {
		?>
		<div class="footer_logo_wrap">
			<div class="footer_logo_inner">
				<?php
				if (!empty($maxcube_logo_image)) {
					$maxcube_attr = maxcube_getimagesize($maxcube_logo_image);
					echo '<a href="'.esc_url(home_url('/')).'">'
							. '<img src="'.esc_url($maxcube_logo_image).'"'
								. ' class="logo_footer_image"'
								. ' alt="'.esc_attr__('Site logo', 'maxcube').'"'
								. (!empty($maxcube_attr[3]) ? ' ' . wp_kses_data($maxcube_attr[3]) : '')
							.'>'
						. '</a>' ;
				} else if (!empty($maxcube_logo_text)) {
					echo '<h1 class="logo_footer_text">'
							. '<a href="'.esc_url(home_url('/')).'">'
								. esc_html($maxcube_logo_text)
							. '</a>'
						. '</h1>';
				}
				?>
			</div>
		</div>
		<?php
	}
}
?>