<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package WordPress
 * @subpackage MAXCUBE
 * @since MAXCUBE 1.0.10
 */

// Footer sidebar
$maxcube_footer_name = maxcube_get_theme_option('footer_widgets');
$maxcube_footer_present = !maxcube_is_off($maxcube_footer_name) && is_active_sidebar($maxcube_footer_name);
if ($maxcube_footer_present) { 
	maxcube_storage_set('current_sidebar', 'footer');
	$maxcube_footer_wide = maxcube_get_theme_option('footer_wide');
	ob_start();
	if ( is_active_sidebar($maxcube_footer_name) ) {
		dynamic_sidebar($maxcube_footer_name);
	}
	$maxcube_out = trim(ob_get_contents());
	ob_end_clean();
	if (!empty($maxcube_out)) {
		$maxcube_out = preg_replace("/<\\/aside>[\r\n\s]*<aside/", "</aside><aside", $maxcube_out);
		$maxcube_need_columns = true;	//or check: strpos($maxcube_out, 'columns_wrap')===false;
		if ($maxcube_need_columns) {
			$maxcube_columns = max(0, (int) maxcube_get_theme_option('footer_columns'));
			if ($maxcube_columns == 0) $maxcube_columns = min(4, max(1, substr_count($maxcube_out, '<aside ')));
			if ($maxcube_columns > 1)
				$maxcube_out = preg_replace("/<aside([^>]*)class=\"widget/", "<aside$1class=\"column-1_".esc_attr($maxcube_columns).' widget', $maxcube_out);
			else
				$maxcube_need_columns = false;
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo !empty($maxcube_footer_wide) ? ' footer_fullwidth' : ''; ?> sc_layouts_row sc_layouts_row_type_normal">
			<div class="footer_widgets_inner widget_area_inner">
				<?php 
				if (!$maxcube_footer_wide) { 
					?><div class="content_wrap"><?php
				}
				if ($maxcube_need_columns) {
					?><div class="columns_wrap"><?php
				}
				do_action( 'maxcube_action_before_sidebar' );
				maxcube_show_layout($maxcube_out);
				do_action( 'maxcube_action_after_sidebar' );
				if ($maxcube_need_columns) {
					?></div><!-- /.columns_wrap --><?php
				}
				if (!$maxcube_footer_wide) {
					?></div><!-- /.content_wrap --><?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
?>