<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package WordPress
 * @subpackage MAXCUBE
 * @since MAXCUBE 1.0.06
 */

$maxcube_header_css = '';
$maxcube_header_image = get_header_image();
$maxcube_header_video = maxcube_get_header_video();
if (!empty($maxcube_header_image) && maxcube_trx_addons_featured_image_override(is_singular() || maxcube_storage_isset('blog_archive') || is_category())) {
	$maxcube_header_image = maxcube_get_current_mode_image($maxcube_header_image);
}

$maxcube_header_id = str_replace('header-custom-', '', maxcube_get_theme_option("header_style"));
if ((int) $maxcube_header_id == 0) {
	$maxcube_header_id = maxcube_get_post_id(array(
												'name' => $maxcube_header_id,
												'post_type' => defined('TRX_ADDONS_CPT_LAYOUTS_PT') ? TRX_ADDONS_CPT_LAYOUTS_PT : 'cpt_layouts'
												)
											);
} else {
	$maxcube_header_id = apply_filters('maxcube_filter_get_translated_layout', $maxcube_header_id);
}
$maxcube_header_meta = get_post_meta($maxcube_header_id, 'trx_addons_options', true);
if (!empty($maxcube_header_meta['margin']) != '') 
	maxcube_add_inline_css(sprintf('.page_content_wrap{padding-top:%s}', esc_attr(maxcube_prepare_css_value($maxcube_header_meta['margin']))));

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr($maxcube_header_id); 
				?> top_panel_custom_<?php echo esc_attr(sanitize_title(get_the_title($maxcube_header_id)));
				echo !empty($maxcube_header_image) || !empty($maxcube_header_video) 
					? ' with_bg_image' 
					: ' without_bg_image';
				if ($maxcube_header_video!='') 
					echo ' with_bg_video';
				if ($maxcube_header_image!='') 
					echo ' '.esc_attr(maxcube_add_inline_css_class('background-image: url('.esc_url($maxcube_header_image).');'));
				if (is_single() && has_post_thumbnail()) 
					echo ' with_featured_image';
				if (maxcube_is_on(maxcube_get_theme_option('header_fullheight'))) 
					echo ' header_fullheight maxcube-full-height';
				if (!maxcube_is_inherit(maxcube_get_theme_option('header_scheme')))
					echo ' scheme_' . esc_attr(maxcube_get_theme_option('header_scheme'));
				?>"><?php

	// Background video
	if (!empty($maxcube_header_video)) {
		get_template_part( apply_filters('maxcube_filter_get_template_part', 'templates/header-video') );
	}
		
	// Custom header's layout
	do_action('maxcube_action_show_layout', $maxcube_header_id);

	// Header widgets area
	get_template_part( apply_filters('maxcube_filter_get_template_part', 'templates/header-widgets') );
		
?></header>