<?php
/**
 * The template to display default site header
 *
 * @package WordPress
 * @subpackage MAXCUBE
 * @since MAXCUBE 1.0
 */

$maxcube_header_css = '';
$maxcube_header_image = get_header_image();
$maxcube_header_video = maxcube_get_header_video();
if (!empty($maxcube_header_image) && maxcube_trx_addons_featured_image_override(is_singular() || maxcube_storage_isset('blog_archive') || is_category())) {
	$maxcube_header_image = maxcube_get_current_mode_image($maxcube_header_image);
}

?><header class="top_panel top_panel_default<?php
					echo !empty($maxcube_header_image) || !empty($maxcube_header_video) ? ' with_bg_image' : ' without_bg_image';
					if ($maxcube_header_video!='') echo ' with_bg_video';
					if ($maxcube_header_image!='') echo ' '.esc_attr(maxcube_add_inline_css_class('background-image: url('.esc_url($maxcube_header_image).');'));
					if (is_single() && has_post_thumbnail()) echo ' with_featured_image';
					if (maxcube_is_on(maxcube_get_theme_option('header_fullheight'))) echo ' header_fullheight maxcube-full-height';
					if (!maxcube_is_inherit(maxcube_get_theme_option('header_scheme')))
						echo ' scheme_' . esc_attr(maxcube_get_theme_option('header_scheme'));
					?>"><?php

	// Background video
	if (!empty($maxcube_header_video)) {
		get_template_part( apply_filters('maxcube_filter_get_template_part', 'templates/header-video') );
	}
	
	// Main menu
	if (maxcube_get_theme_option("menu_style") == 'top') {
		get_template_part( apply_filters('maxcube_filter_get_template_part', 'templates/header-navi') );
	}

	// Mobile header
	if (maxcube_is_on(maxcube_get_theme_option("header_mobile_enabled"))) {
		get_template_part( apply_filters('maxcube_filter_get_template_part', 'templates/header-mobile') );
	}
	
	// Page title and breadcrumbs area
	get_template_part( apply_filters('maxcube_filter_get_template_part', 'templates/header-title') );

	// Header widgets area
	get_template_part( apply_filters('maxcube_filter_get_template_part', 'templates/header-widgets') );

	// Display featured image in the header on the single posts
	// Comment next line to prevent show featured image in the header area
	// and display it in the post's content
	get_template_part( apply_filters('maxcube_filter_get_template_part', 'templates/header-single') );

?></header>