<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package WordPress
 * @subpackage MAXCUBE
 * @since MAXCUBE 1.0
 */

$maxcube_args = get_query_var('maxcube_logo_args');

// Site logo
$maxcube_logo_type   = isset($maxcube_args['type']) ? $maxcube_args['type'] : '';
$maxcube_logo_image  = maxcube_get_logo_image($maxcube_logo_type);
$maxcube_logo_text   = maxcube_is_on(maxcube_get_theme_option('logo_text')) ? get_bloginfo( 'name' ) : '';
$maxcube_logo_slogan = get_bloginfo( 'description', 'display' );
if (!empty($maxcube_logo_image) || !empty($maxcube_logo_text)) {
	?><a class="sc_layouts_logo" href="<?php echo esc_url(home_url('/')); ?>"><?php
		if (!empty($maxcube_logo_image)) {
			if (empty($maxcube_logo_type) && function_exists('the_custom_logo') && (int) $maxcube_logo_image > 0) {
				the_custom_logo();
			} else {
				$maxcube_attr = maxcube_getimagesize($maxcube_logo_image);
				echo '<img src="'.esc_url($maxcube_logo_image).'" alt="'.esc_attr($maxcube_logo_text).'"'.(!empty($maxcube_attr[3]) ? ' '.wp_kses_data($maxcube_attr[3]) : '').'>';
			}
		} else {
			maxcube_show_layout(maxcube_prepare_macros($maxcube_logo_text), '<span class="logo_text">', '</span>');
			maxcube_show_layout(maxcube_prepare_macros($maxcube_logo_slogan), '<span class="logo_slogan">', '</span>');
		}
	?></a><?php
}
?>