<?php
/**
 * The template to display the page title and breadcrumbs
 *
 * @package WordPress
 * @subpackage MAXCUBE
 * @since MAXCUBE 1.0
 */

// Page (category, tag, archive, author) title

if ( maxcube_need_page_title() ) {
	maxcube_sc_layouts_showed('title', true);
	maxcube_sc_layouts_showed('postmeta', true);
	?>
	<div class="top_panel_title sc_layouts_row sc_layouts_row_type_normal">
		<div class="content_wrap">
			<div class="sc_layouts_column sc_layouts_column_align_center">
				<div class="sc_layouts_item">
					<div class="sc_layouts_title sc_align_center">
						<?php
						// Post meta on the single post
						if ( is_single() )  {
							?><div class="sc_layouts_title_meta"><?php
								maxcube_show_post_meta(apply_filters('maxcube_filter_post_meta_args', array(
									'components' => maxcube_array_get_keys_by_value(maxcube_get_theme_option('meta_parts')),
									'counters' => maxcube_array_get_keys_by_value(maxcube_get_theme_option('counters')),
									'seo' => maxcube_is_on(maxcube_get_theme_option('seo_snippets'))
									), 'header', 1)
								);
							?></div><?php
						}
						
						// Blog/Post title
						?><div class="sc_layouts_title_title"><?php
							$maxcube_blog_title = maxcube_get_blog_title();
							$maxcube_blog_title_text = $maxcube_blog_title_class = $maxcube_blog_title_link = $maxcube_blog_title_link_text = '';
							if (is_array($maxcube_blog_title)) {
								$maxcube_blog_title_text = $maxcube_blog_title['text'];
								$maxcube_blog_title_class = !empty($maxcube_blog_title['class']) ? ' '.$maxcube_blog_title['class'] : '';
								$maxcube_blog_title_link = !empty($maxcube_blog_title['link']) ? $maxcube_blog_title['link'] : '';
								$maxcube_blog_title_link_text = !empty($maxcube_blog_title['link_text']) ? $maxcube_blog_title['link_text'] : '';
							} else
								$maxcube_blog_title_text = $maxcube_blog_title;
							?>
							<h1 itemprop="headline" class="sc_layouts_title_caption<?php echo esc_attr($maxcube_blog_title_class); ?>"><?php
								$maxcube_top_icon = maxcube_get_category_icon();
								if (!empty($maxcube_top_icon)) {
									$maxcube_attr = maxcube_getimagesize($maxcube_top_icon);
									?><img src="<?php echo esc_url($maxcube_top_icon); ?>" alt="<?php esc_attr_e('Site icon', 'maxcube'); ?>" <?php if (!empty($maxcube_attr[3])) maxcube_show_layout($maxcube_attr[3]);?>><?php
								}
								echo wp_kses_post($maxcube_blog_title_text);
							?></h1>
							<?php
							if (!empty($maxcube_blog_title_link) && !empty($maxcube_blog_title_link_text)) {
								?><a href="<?php echo esc_url($maxcube_blog_title_link); ?>" class="theme_button theme_button_small sc_layouts_title_link"><?php echo esc_html($maxcube_blog_title_link_text); ?></a><?php
							}
							
							// Category/Tag description
							if ( is_category() || is_tag() || is_tax() ) 
								the_archive_description( '<div class="sc_layouts_title_description">', '</div>' );
		
						?></div><?php
	
						// Breadcrumbs
						?><div class="sc_layouts_title_breadcrumbs"><?php
							do_action( 'maxcube_action_breadcrumbs');
						?></div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php
}
?>