<?php
/**
 * The template to display the background video in the header
 *
 * @package WordPress
 * @subpackage MAXCUBE
 * @since MAXCUBE 1.0.14
 */
$maxcube_header_video = maxcube_get_header_video();
$maxcube_embed_video = '';
if (!empty($maxcube_header_video) && !maxcube_is_from_uploads($maxcube_header_video)) {
	if (maxcube_is_youtube_url($maxcube_header_video) && preg_match('/[=\/]([^=\/]*)$/', $maxcube_header_video, $matches) && !empty($matches[1])) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr($matches[1]); ?>"></div><?php
	} else {
		global $wp_embed;
		if (false && is_object($wp_embed)) {
			$maxcube_embed_video = do_shortcode($wp_embed->run_shortcode( '[embed]' . trim($maxcube_header_video) . '[/embed]' ));
			$maxcube_embed_video = maxcube_make_video_autoplay($maxcube_embed_video);
		} else {
			$maxcube_header_video = str_replace('/watch?v=', '/embed/', $maxcube_header_video);
			$maxcube_header_video = maxcube_add_to_url($maxcube_header_video, array(
				'feature' => 'oembed',
				'controls' => 0,
				'autoplay' => 1,
				'showinfo' => 0,
				'modestbranding' => 1,
				'wmode' => 'transparent',
				'enablejsapi' => 1,
				'origin' => home_url(),
				'widgetid' => 1
			));
			$maxcube_embed_video = '<iframe src="' . esc_url($maxcube_header_video) . '" width="1170" height="658" allowfullscreen="0" frameborder="0"></iframe>';
		}
		?><div id="background_video"><?php maxcube_show_layout($maxcube_embed_video); ?></div><?php
	}
}
?>