<?php
/**
 * The template to display the widgets area in the header
 *
 * @package WordPress
 * @subpackage MAXCUBE
 * @since MAXCUBE 1.0
 */

// Header sidebar
$maxcube_header_name = maxcube_get_theme_option('header_widgets');
$maxcube_header_present = !maxcube_is_off($maxcube_header_name) && is_active_sidebar($maxcube_header_name);
if ($maxcube_header_present) { 
	maxcube_storage_set('current_sidebar', 'header');
	$maxcube_header_wide = maxcube_get_theme_option('header_wide');
	ob_start();
	if ( is_active_sidebar($maxcube_header_name) ) {
		dynamic_sidebar($maxcube_header_name);
	}
	$maxcube_widgets_output = ob_get_contents();
	ob_end_clean();
	if (!empty($maxcube_widgets_output)) {
		$maxcube_widgets_output = preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $maxcube_widgets_output);
		$maxcube_need_columns = strpos($maxcube_widgets_output, 'columns_wrap')===false;
		if ($maxcube_need_columns) {
			$maxcube_columns = max(0, (int) maxcube_get_theme_option('header_columns'));
			if ($maxcube_columns == 0) $maxcube_columns = min(6, max(1, substr_count($maxcube_widgets_output, '<aside ')));
			if ($maxcube_columns > 1)
				$maxcube_widgets_output = preg_replace("/<aside([^>]*)class=\"widget/", "<aside$1class=\"column-1_".esc_attr($maxcube_columns).' widget', $maxcube_widgets_output);
			else
				$maxcube_need_columns = false;
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo !empty($maxcube_header_wide) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<div class="header_widgets_inner widget_area_inner">
				<?php 
				if (!$maxcube_header_wide) { 
					?><div class="content_wrap"><?php
				}
				if ($maxcube_need_columns) {
					?><div class="columns_wrap"><?php
				}
				do_action( 'maxcube_action_before_sidebar' );
				maxcube_show_layout($maxcube_widgets_output);
				do_action( 'maxcube_action_after_sidebar' );
				if ($maxcube_need_columns) {
					?></div>	<!-- /.columns_wrap --><?php
				}
				if (!$maxcube_header_wide) {
					?></div>	<!-- /.content_wrap --><?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
?>